Package org.pushingpixels.substance.internal.ui

# Class SubstanceRootPaneUI.SubstanceRootLayout

java.lang.Object
org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI.SubstanceRootLayout

All Implemented Interfaces:
  `LayoutManager`, `LayoutManager2`

Enclosing class:
  `SubstanceRootPaneUI`

protected class SubstanceRootPaneUI.SubstanceRootLayout extends Object implements LayoutManager2
A custom layout manager that is responsible for the layout of layeredPane, glassPane, menuBar and titlePane, if one has been installed.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceRootLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLayoutComponent(Component comp, Object constraints)`
`void`
`addLayoutComponent(String name, Component comp)`
`float`
`getLayoutAlignmentX(Container target)`
`float`
`getLayoutAlignmentY(Container target)`
`void`
`invalidateLayout(Container target)`
`void`
`layoutContainer(Container parent)`
Instructs the layout manager to perform the layout for the specified container.
`Dimension`
`maximumLayoutSize(Container target)`
Returns the maximum amount of space the layout can use.
`Dimension`
`minimumLayoutSize(Container parent)`
Returns the minimum amount of space the layout needs.
`Dimension`
`preferredLayoutSize(Container parent)`
Returns the amount of space the layout would like to have.
`void`
`removeLayoutComponent(Component comp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRootLayout

protected SubstanceRootLayout()

## Method Details

### preferredLayoutSize

public Dimension preferredLayoutSize(Container parent)
Returns the amount of space the layout would like to have. aram the Container for which this layout manager is being used

Specified by:
  `preferredLayoutSize` in interface `LayoutManager`
Returns:
  a Dimension object containing the layout's preferred size

### minimumLayoutSize

public Dimension minimumLayoutSize(Container parent)
Returns the minimum amount of space the layout needs. aram the Container for which this layout manager is being used

Specified by:
  `minimumLayoutSize` in interface `LayoutManager`
Returns:
  a Dimension object containing the layout's minimum size

### maximumLayoutSize

public Dimension maximumLayoutSize(Container target)
Returns the maximum amount of space the layout can use. aram the Container for which this layout manager is being used

Specified by:
  `maximumLayoutSize` in interface `LayoutManager2`
Returns:
  a Dimension object containing the layout's maximum size

### layoutContainer

public void layoutContainer(Container parent)
Instructs the layout manager to perform the layout for the specified container. aram the Container for which this layout manager is being used

Specified by:
  `layoutContainer` in interface `LayoutManager`

### addLayoutComponent

public void addLayoutComponent(String name, Component comp)

Specified by:
  `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

public void removeLayoutComponent(Component comp)

Specified by:
  `removeLayoutComponent` in interface `LayoutManager`

### addLayoutComponent

public void addLayoutComponent(Component comp, Object constraints)

Specified by:
  `addLayoutComponent` in interface `LayoutManager2`

### getLayoutAlignmentX

public float getLayoutAlignmentX(Container target)

Specified by:
  `getLayoutAlignmentX` in interface `LayoutManager2`

### getLayoutAlignmentY

public float getLayoutAlignmentY(Container target)

Specified by:
  `getLayoutAlignmentY` in interface `LayoutManager2`

### invalidateLayout

public void invalidateLayout(Container target)

Specified by:
  `invalidateLayout` in interface `LayoutManager2`